commit deab49f7bbdacfb21186e0fa86533512ab345670
Author: jklowden <jklowden>
Date:   Fri Jan 9 04:59:58 2009 +0000

    add LIBICONV to linker flags

diff --git a/ChangeLog b/ChangeLog
index ca11e0b..b899677 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Thu Jan  8 23:47:33 EST 2009	JK Lowden <jklowden@freetds.org>
+	* src/apps/Makefile.am src/apps/fisql/Makefile.am
+	* src/replacements/fakepoll.h 
+	- add LIBICONV to linker flags
+
 Tue Jan  6 21:53:56 EST 2009	JK Lowden <jklowden@freetds.org>
 	* include/Makefile.am
 	* include/fakepoll.h  src/replacements/fakepoll.h
@@ -1169,4 +1174,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2705 2009/01/07 02:58:32 jklowden Exp $
+$Id: ChangeLog,v 1.2706 2009/01/09 04:59:58 jklowden Exp $
diff --git a/src/apps/Makefile.am b/src/apps/Makefile.am
index dd459c8..4545913 100644
--- a/src/apps/Makefile.am
+++ b/src/apps/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.28 2008/12/11 12:31:31 freddy77 Exp $
+# $Id: Makefile.am,v 1.29 2009/01/09 04:59:58 jklowden Exp $
 
 AM_CPPFLAGS	= -I$(top_srcdir)/include 
 
@@ -25,17 +25,19 @@ tsql_LDADD	= ../tds/libtds.la \
 
 bsqldb_LDADD	= ../dblib/libsybdb.la \
 		  ../replacements/libreplacements.la \
-		  $(NETWORK_LIBS)
+		  $(NETWORK_LIBS) $(LIBICONV)
 
 if ODBC
-bsqlodbc_LDADD	= $(ODBCLIB) $(ODBCNODMLIBAPP) \
-		  ../replacements/libreplacements.la $(NETWORK_LIBS)
 bsqlodbc_CPPFLAGS	= $(ODBC_INC) $(AM_CPPFLAGS)
+bsqlodbc_LDADD	= $(ODBCLIB) $(ODBCNODMLIBAPP) \
+		  ../replacements/libreplacements.la $(NETWORK_LIBS) $(LIBICONV)
 endif
 
 defncopy_LDADD	= ../dblib/libsybdb.la \
 		  ../replacements/libreplacements.la \
-		  $(NETWORK_LIBS)
+		  $(NETWORK_LIBS) $(LIBICONV)
 
 datacopy_SOURCES= datacopy.c
-datacopy_LDADD	= ../dblib/libsybdb.la ../replacements/libreplacements.la $(NETWORK_LIBS)
+datacopy_LDADD	= ../dblib/libsybdb.la \
+		  ../replacements/libreplacements.la \
+		$(NETWORK_LIBS) $(LIBICONV)
diff --git a/src/apps/fisql/Makefile.am b/src/apps/fisql/Makefile.am
index 3bb30ad..048eeb4 100644
--- a/src/apps/fisql/Makefile.am
+++ b/src/apps/fisql/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.3 2007/03/18 11:07:30 freddy77 Exp $
+# $Id: Makefile.am,v 1.4 2009/01/09 04:59:58 jklowden Exp $
 
 AM_CPPFLAGS	= -I$(top_srcdir)/include 
 
@@ -6,6 +6,14 @@ if MINGW32
 else
 bin_PROGRAMS	= fisql
 
-fisql_LDADD	= ../../dblib/libsybdb.la ../../replacements/libreplacements.la $(NETWORK_LIBS) $(READLINE_LIBS)
-fisql_SOURCES	= fisql.c terminal.c terminal.h edit.c edit.h handlers.c handlers.h interrupt.c interrupt.h
+fisql_SOURCES	= fisql.c  \
+		terminal.h terminal.c  \
+		edit.h edit.c  \
+		handlers.h handlers.c  \
+		interrupt.h interrupt.c
+		
+
+fisql_LDADD	= ../../dblib/libsybdb.la \
+		  ../../replacements/libreplacements.la \
+		  $(NETWORK_LIBS) $(LIBICONV) $(READLINE_LIBS)
 endif
